$(document).ready(function(){
    // Give each tab panel and tab heading a unique ID
    $('#%id% .tabtastic-content').attr('id', function(i) {
        return 'tab'+(i);
    });
    $('#%id% .tabtastic-heading').attr('id', function(i) {
        return 'tab'+(i);
    });
    // Generate TOC
    $("#%id% .tabtastic-content .tabtastic-heading").each(function(i) {
        var current = $(this);
        current.attr("id", "title" + i);
        $("#tabs%id%").append("<li class='tabtastic-tab' data-tab='tab" + i + "'><div class='tabtastic-button'>" + current.html() + "</div></li>");
    });

    %[if %("%id=start_open%" == "true")% ]%
    // Make first tab and tab panel active
    $('#tabs%id% li:first-child, #%id% .tabtastic-content:first-of-type').addClass('current');
    %[endif]%
    
    $('#tabs%id% li').click(function(){
        var tab_id = $(this).attr('data-tab');
        $('#tabs%id% li').removeClass('current');
        $('.tabtastic-content').removeClass('current');
        $(this).addClass('current');
        $("#"+tab_id).addClass('current');
    });
    if (!$('body').hasClass("themeFlood")) {
        $('#%id%').html('<div style="border:2px red dashed; padding:15px;"><strong>%stackTitle%</strong><br>Sorry, this free stack is only licensed for use in <a href="https://themeflood.com">ThemeFlood</a> RapidWeaver themes. If you are using a ThemeFlood theme and still seeing this message, you may need to upgrade your theme to a newer version. Alternative stacks for use in other themes are available to purchase from the <a href="https://stacks4stacks.com">Stacks4Stacks</a> website.</div>');
    }
});